function CheckMyProfileParametersPane( oF ) {
	if ($("#is_address_public").attr("checked")) {
		// cim check
		if ($("#zip").val()=="") {
			alert( aJSLangDefs.Empty_zipcode );
			$("#zip").focus();
			return false;
		}
		if ($("#city").val()=="") {
			alert( aJSLangDefs.Empty_city );
			$("#city").focus();
			return false;
		}
		/*
		if ($("#address").val()=="") {
			alert( aJSLangDefs.Empty_address );
			$("#address").focus();
			return false;
		}
		*/
		if ($("#county").val()=="") {
			alert( aJSLangDefs.Empty_county);
			$("#county").focus();
			return false;
		}
		if ($("#country").val()=="") {
			alert( aJSLangDefs.Empty_country);
			$("#country").focus();
			return false;
		}

	}

	// LANGFIX
	if ($("#en_use_langsite").attr("checked")) {
		if ($("#en_langsite_name").val()=="") {
			alert( aJSLangDefs.No_langsite_name );
			$("#en_langsite_name").focus();
			return false;
		}
	}
	if ($("#de_use_langsite").attr("checked")) {
		if ($("#de_langsite_name").val()=="") {
			alert( aJSLangDefs.No_langsite_name );
			$("#de_langsite_name").focus();
			return false;
		}
	}
	ClearFormDirty( oF );
	return true;
}
